## domain2idna 1.10.1

=== requirements.txt ===
setuptools>=40.8.0
colorama>=0.4.1

=== debian/changelog ===
domain2idna (1.10.1-2) unstable; urgency=medium

  * Team upload.

  [ Andrius Merkys ]
  * Minor fixes to debian/copyright.
  * Record sphinxdoc:Built-Using for doc package.

 -- Bastian Germann <bage@debian.org>  Sat, 14 Jan 2023 16:43:01 +0100

domain2idna (1.10.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1024534)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 20 Nov 2022 22:05:14 -0300

=== debian/control ===
Source: domain2idna
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               pandoc,
               python3-all,
               python3-colorama,
               python3-setuptools,
               python3-sphinx <!nocheck>,
               python3-sphinx-rtd-theme <!nocheck>
Standards-Version: 4.6.1
Homepage: https://github.com/PyFunceble/domain2idna
Vcs-Browser: https://salsa.debian.org/python-team/packages/domain2idna
Vcs-Git: https://salsa.debian.org/python-team/packages/domain2idna.git

Package: domain2idna
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-domain2idna,
Suggests: python-domain2idna-doc
Description: tool to convert domains to IDNA format
 This project provides a tool for list or hosts file maintainer that
 can converts domain to the Punycode/IDNA format.
 .
 With domain2idna you can do:
  *  Read a given domain and convert it to the Punycode/IDNA format.
  *  Read a given URL and convert its base to Punycode/IDNA format.
  *  Read a file and convert all non-commented line to the
     Punycode/IDNA format.
  *  Print the converted data on the screen.
  *  Save into a file the converted data.
  *  Return the converted data (when used as a module).
  *  Ignore commented inputs (starts with #).
 .
 This package provides the executable scripts.

Package: python3-domain2idna
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-domain2idna-doc
Description: tool to convert domains to IDNA format (Python 3)
 This project provides a tool for list or hosts file maintainer that
 can converts domain to the Punycode/IDNA format.
 .
 With domain2idna you can do:
  *  Read a given domain and convert it to the Punycode/IDNA format.
  *  Read a given URL and convert its base to Punycode/IDNA format.
  *  Read a file and convert all non-commented line to the
     Punycode/IDNA format.
  *  Print the converted data on the screen.
  *  Save into a file the converted data.
  *  Return the converted data (when used as a module).
  *  Ignore commented inputs (starts with #).
 .
 This package installs the necessary dependencies for domain2idna to work.

Package: python-domain2idna-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: tool to convert domains to IDNA format (common documentation)
 This project provides a tool for list or hosts file maintainer that
 can converts domain to the Punycode/IDNA format.
 .
 With domain2idna you can do:
  *  Read a given domain and convert it to the Punycode/IDNA format.
  *  Read a given URL and convert its base to Punycode/IDNA format.
  *  Read a file and convert all non-commented line to the
     Punycode/IDNA format.
  *  Print the converted data on the screen.
  *  Save into a file the converted data.
  *  Return the converted data (when used as a module).
  *  Ignore commented inputs (starts with #).
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=domain2idna

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html

#fix privacy-breach-generic
override_dh_link:
	dh_link
	find debian/python-domain2idna-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;

# Move /usr/bin/domain2idna from python3-domain2idna to domain2idna, drop all other scripts
override_dh_install:
	dh_install
	mkdir -p $(CURDIR)/debian/domain2idna/usr/bin/
	mv $(CURDIR)/debian/python3-domain2idna/usr/bin/domain2idna $(CURDIR)/debian/domain2idna/usr/bin/
	rm -rf $(CURDIR)/debian/python3-domain2idna/usr/bin/

=== debian/tests/control ===
Test-Command: domain2idna -s façainscriçãojá.com 
Depends: @, python3-all, python3-domain2idna, domain2idna
Restrictions: allow-stderr

## domain2idna 1.12.2

=== requirements.txt ===
setuptools>=65.5.1
colorama

=== debian/changelog ===
domain2idna (1.12.2-3) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> annotations. Closes: #1116729.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 07 Oct 2025 23:10:00 +0200

domain2idna (1.12.2-2) unstable; urgency=medium

  * debian/control:
     - Added fields Conflicts and Replaces (Closes: #1088955)
     - Removed fields "Built-Using"
  * debian/rules:
     - File orders to ensure reproducibility
     - Replaced override_dh_link by execute_after_dh_link

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 25 Dec 2024 09:09:29 -0300

domain2idna (1.12.2-1) unstable; urgency=medium

  * New upstream version 1.12.2 (Closes: #1083372)
  * debian/control:
     - Added Testsuite: autopkgtest-pkg-pybuild
     - Bumped Standards-Version to 4.7.0
     - Changed net session to python
     - Removed package domain2dna
     - Removed "Session" from package "python3-domain2idna"
  * debian/python-domain2idna-doc.docs:
     - Changed README file extension from .rst to .md
  * debian/rules:
     - Disabled test
     - Removed command that moved binary
     - Removed unnecessary directory
  *  debian/tests:
     - Changed debian/tests by autopkgtest-pkg-pybuild
     - Deleted directory replaced autopkgtest-pkg-pybuild in debian/control

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 02 Dec 2024 22:33:29 -0300

=== debian/control ===
Source: domain2idna
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pandoc,
               python3-all,
               python3-colorama,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
Standards-Version: 4.7.2
Homepage: https://github.com/PyFunceble/domain2idna
Vcs-Browser: https://salsa.debian.org/python-team/packages/domain2idna
Vcs-Git: https://salsa.debian.org/python-team/packages/domain2idna.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-domain2idna
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Conflicts: domain2idna
Replaces: domain2idna
Suggests: python-domain2idna-doc
Description: tool to convert domains to IDNA format (Python 3)
 This project provides a tool for list or hosts file maintainer that
 can converts domain to the Punycode/IDNA format.
 .
 With domain2idna you can do:
  *  Read a given domain and convert it to the Punycode/IDNA format.
  *  Read a given URL and convert its base to Punycode/IDNA format.
  *  Read a file and convert all non-commented line to the
     Punycode/IDNA format.
  *  Print the converted data on the screen.
  *  Save into a file the converted data.
  *  Return the converted data (when used as a module).
  *  Ignore commented inputs (starts with #).
 .
 This package installs the necessary dependencies for domain2idna to work.

Package: python-domain2idna-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: tool to convert domains to IDNA format (common documentation)
 This project provides a tool for list or hosts file maintainer that
 can converts domain to the Punycode/IDNA format.
 .
 With domain2idna you can do:
  *  Read a given domain and convert it to the Punycode/IDNA format.
  *  Read a given URL and convert its base to Punycode/IDNA format.
  *  Read a file and convert all non-commented line to the
     Punycode/IDNA format.
  *  Print the converted data on the screen.
  *  Save into a file the converted data.
  *  Return the converted data (when used as a module).
  *  Ignore commented inputs (starts with #).
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=domain2idna
export PYBUILD_DISABLE=test

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	sort domain2idna-1.12.2.egg-info/PKG-INFO -o domain2idna-1.12.2.egg-info/PKG-INFO
	dh_auto_build


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml docs/ debian/html

#fix privacy-breach-generic

execute_after_dh_link:
	find debian/python-domain2idna-doc/ -name '*.html' -exec sed -i 's|src="https:||g' {} \;
	rm -rf debian//python3-domain2idna/usr/lib/python3.13/

=== debian/watch ===
version=4
https://github.com/PyFunceble/domain2idna/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## domain2idna 1.12.4

=== debian/changelog ===
domain2idna (1.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.12.4
  * Do not generate a dependency on python3-setuptools (with a patch)
  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Switch to pybuild-plugin-pyproject
  * Add debian/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 Jan 2026 22:42:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: domain2idna
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pandoc,
-               python3-all,
-               python3-colorama,
-               python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-Standards-Version: 4.7.2
+Uploaders:
+ Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pandoc,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-colorama,
+ python3-setuptools,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+Standards-Version: 4.7.3
 Homepage: https://github.com/PyFunceble/domain2idna
 Vcs-Browser: https://salsa.debian.org/python-team/packages/domain2idna
 Vcs-Git: https://salsa.debian.org/python-team/packages/domain2idna.git
@@ -19,11 +21,15 @@
 
 Package: python3-domain2idna
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
-Conflicts: domain2idna
-Replaces: domain2idna
-Suggests: python-domain2idna-doc
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Conflicts:
+ domain2idna,
+Replaces:
+ domain2idna,
+Suggests:
+ python-domain2idna-doc,
 Description: tool to convert domains to IDNA format (Python 3)
  This project provides a tool for list or hosts file maintainer that
  can converts domain to the Punycode/IDNA format.
@@ -44,8 +50,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: tool to convert domains to IDNA format (common documentation)
  This project provides a tool for list or hosts file maintainer that
  can converts domain to the Punycode/IDNA format.

=== debian/watch ===
Version: 5

Template: GitHub
Owner: PyFunceble
Project: domain2idna
